%global pkgname umemcache

Name:		python-umemcache
Version:	1.6
Release:	2%{?dist}
Summary:	Memcache client written in highly optimized C++ with Python.

License:	BSD
URL:		https://pypi.python.org/pypi/umemcache
Source0:	https://pypi.python.org/packages/source/u/umemcache/%{pkgname}-%{version}.zip

BuildRequires: python2-devel
BuildRequires: python-setuptools
#For test
#BuildRequires: python-guppy

%description
Ultra fast memcache client written in highly optimized C++ with
Python bindings.
ultramemcache is an ultra fast Memcache client written in
highly optimized C++ with Python bindings.

%prep
%setup -q -n %{pkgname}-%{version}
rm -f %{pkgname}-%{version}*

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot} 

#%check
#touch /tmp/memcached 
#chmod go+rw /tmp/memcached
#memcached -d -P /tmp/memcached
#sleep 1
#python tests/tests.py
#kill -9 $(cat /tmp/memcached)
#rm -f /tmp/memcached

%files
%doc README.rst
%{python_sitearch}/%{pkgname}.so
%{python_sitearch}/%{pkgname}-%{version}*


%changelog
* Mon Apr 29 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6-2
- Change: Flags in macros, "dot" in summary, BR remove
  gcc, python-guppy (test).
* Sun Apr 07 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6-1
- Initial packaging 
